Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Interface CMPObjectIdentifiers

public interface CMPObjectIdentifiers

Field Summary
`static ASN1ObjectIdentifier` | `ct_encKeyWithID` 1.2.840.113549.1.9.16.1.21 id-ct OBJECT IDENTIFIER ::= { id-smime 1 } -- content types id-ct-encKeyWithID OBJECT IDENTIFIER ::= {id-ct 21}
`static ASN1ObjectIdentifier` | `dhBasedMac` id-DHBasedMac OBJECT IDENTIFIER ::= {1 2 840 113533 7 66 30}
`static ASN1ObjectIdentifier` | `id_it` RFC 4120: id-it: PKIX.4 = 1.3.6.1.5.5.7.4
`static ASN1ObjectIdentifier` | `id_it_caCerts` Update 16, RFC 4210 {id-it 17}
`static ASN1ObjectIdentifier` | `id_it_certProfile` Update-16 to RFC 4210 id-it-certProfile OBJECT IDENTIFIER ::= {id-it 21}
`static ASN1ObjectIdentifier` | `id_it_certReqTemplate` Update 16, RFC 4210 {id-it 19}
`static ASN1ObjectIdentifier` | `id_it_crls`
`static ASN1ObjectIdentifier` | `id_it_crlStatusList`
`static ASN1ObjectIdentifier` | `id_it_rootCaCert` Update 16, RFC 4210 GenMsg: {id-it 20}, RootCaCertValue
`static ASN1ObjectIdentifier` | `id_it_rootCaKeyUpdate` Update 16, RFC 4210 GenRep: {id-it 18}, RootCaKeyUpdateContent
`static ASN1ObjectIdentifier` | `id_pkip` RFC 4211: it-pkip: PKIX.5 = 1.3.6.1.5.5.7.5
`static ASN1ObjectIdentifier` | `id_regCtrl` RFC 4211: it-regCtrl: 1.3.6.1.5.5.7.5.1
`static ASN1ObjectIdentifier` | `id_regCtrl_algId` id-regCtrl-algId OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) pkip(5) regCtrl(1) 11 }
`static ASN1ObjectIdentifier` | `id_regCtrl_rsaKeyLen` id-regCtrl-rsaKeyLen OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) pkip(5) regCtrl(1) 12 }
`static ASN1ObjectIdentifier` | `id_regInfo` RFC 4211: it-regInfo: 1.3.6.1.5.5.7.5.2
`static ASN1ObjectIdentifier` | `it_caKeyUpdateInfo` RFC 4120: 1.3.6.1.5.5.7.4.5
`static ASN1ObjectIdentifier` | `it_caProtEncCert` RFC 4120: 1.3.6.1.5.5.7.4.1
`static ASN1ObjectIdentifier` | `it_confirmWaitTime` RFC 4120: 1.3.6.1.5.5.7.4.14
`static ASN1ObjectIdentifier` | `it_currentCRL` RFC 4120: 1.3.6.1.5.5.7.4.6
`static ASN1ObjectIdentifier` | `it_encKeyPairTypes` RFC 4120: 1.3.6.1.5.5.7.4.3
`static ASN1ObjectIdentifier` | `it_implicitConfirm` RFC 4120: 1.3.6.1.5.5.7.4.13
`static ASN1ObjectIdentifier` | `it_keyPairParamRep` RFC 4120: 1.3.6.1.5.5.7.4.11
`static ASN1ObjectIdentifier` | `it_keyPairParamReq` RFC 4120: 1.3.6.1.5.5.7.4.10
`static ASN1ObjectIdentifier` | `it_origPKIMessage` RFC 4120: 1.3.6.1.5.5.7.4.15
`static ASN1ObjectIdentifier` | `it_preferredSymAlg` RFC 4120: 1.3.6.1.5.5.7.4.4
`static ASN1ObjectIdentifier` | `it_revPassphrase` RFC 4120: 1.3.6.1.5.5.7.4.12
`static ASN1ObjectIdentifier` | `it_signKeyPairTypes` RFC 4120: 1.3.6.1.5.5.7.4.2
`static ASN1ObjectIdentifier` | `it_suppLangTags` RFC 4120: 1.3.6.1.5.5.7.4.16
`static ASN1ObjectIdentifier` | `it_unsupportedOIDs` RFC 4120: 1.3.6.1.5.5.7.4.7
`static ASN1ObjectIdentifier` | `kemBasedMac`
`static ASN1ObjectIdentifier` | `passwordBasedMac` id-PasswordBasedMac OBJECT IDENTIFIER ::= {1 2 840 113533 7 66 13}
`static ASN1ObjectIdentifier` | `regCtrl_altCertTemplate` From RFC4210: id-regCtrl-altCertTemplate OBJECT IDENTIFIER ::= {id-regCtrl 7}; 1.3.6.1.5.5.7.1.7
`static ASN1ObjectIdentifier` | `regCtrl_authenticator` 1.3.6.1.5.5.7.5.1.2
`static ASN1ObjectIdentifier` | `regCtrl_oldCertID` 1.3.6.1.5.5.7.5.1.5
`static ASN1ObjectIdentifier` | `regCtrl_pkiArchiveOptions` 1.3.6.1.5.5.7.5.1.4
`static ASN1ObjectIdentifier` | `regCtrl_pkiPublicationInfo` 1.3.6.1.5.5.7.5.1.3
`static ASN1ObjectIdentifier` | `regCtrl_protocolEncrKey` 1.3.6.1.5.5.7.5.1.6
`static ASN1ObjectIdentifier` | `regCtrl_regToken` 1.3.6.1.5.5.7.5.1.1
`static ASN1ObjectIdentifier` | `regInfo_certReq` RFC 4211: it-regInfo-certReq: 1.3.6.1.5.5.7.5.2.1
`static ASN1ObjectIdentifier` | `regInfo_utf8Pairs` RFC 4211: it-regInfo-utf8Pairs: 1.3.6.1.5.5.7.5.2.1

Field Detail

### passwordBasedMac

    public static final ASN1ObjectIdentifier passwordBasedMac

  id-PasswordBasedMac OBJECT IDENTIFIER ::= {1 2 840 113533 7 66 13}

### kemBasedMac

    public static final ASN1ObjectIdentifier kemBasedMac

### dhBasedMac

    public static final ASN1ObjectIdentifier dhBasedMac

  id-DHBasedMac OBJECT IDENTIFIER ::= {1 2 840 113533 7 66 30}

### id_it

    public static final ASN1ObjectIdentifier id_it

  RFC 4120: id-it: PKIX.4 = 1.3.6.1.5.5.7.4

### it_caProtEncCert

    public static final ASN1ObjectIdentifier it_caProtEncCert

  RFC 4120: 1.3.6.1.5.5.7.4.1

### it_signKeyPairTypes

    public static final ASN1ObjectIdentifier it_signKeyPairTypes

  RFC 4120: 1.3.6.1.5.5.7.4.2

### it_encKeyPairTypes

    public static final ASN1ObjectIdentifier it_encKeyPairTypes

  RFC 4120: 1.3.6.1.5.5.7.4.3

### it_preferredSymAlg

    public static final ASN1ObjectIdentifier it_preferredSymAlg

  RFC 4120: 1.3.6.1.5.5.7.4.4

### it_caKeyUpdateInfo

    public static final ASN1ObjectIdentifier it_caKeyUpdateInfo

  RFC 4120: 1.3.6.1.5.5.7.4.5

### it_currentCRL

    public static final ASN1ObjectIdentifier it_currentCRL

  RFC 4120: 1.3.6.1.5.5.7.4.6

### it_unsupportedOIDs

    public static final ASN1ObjectIdentifier it_unsupportedOIDs

  RFC 4120: 1.3.6.1.5.5.7.4.7

### it_keyPairParamReq

    public static final ASN1ObjectIdentifier it_keyPairParamReq

  RFC 4120: 1.3.6.1.5.5.7.4.10

### it_keyPairParamRep

    public static final ASN1ObjectIdentifier it_keyPairParamRep

  RFC 4120: 1.3.6.1.5.5.7.4.11

### it_revPassphrase

    public static final ASN1ObjectIdentifier it_revPassphrase

  RFC 4120: 1.3.6.1.5.5.7.4.12

### it_implicitConfirm

    public static final ASN1ObjectIdentifier it_implicitConfirm

  RFC 4120: 1.3.6.1.5.5.7.4.13

### it_confirmWaitTime

    public static final ASN1ObjectIdentifier it_confirmWaitTime

  RFC 4120: 1.3.6.1.5.5.7.4.14

### it_origPKIMessage

    public static final ASN1ObjectIdentifier it_origPKIMessage

  RFC 4120: 1.3.6.1.5.5.7.4.15

### it_suppLangTags

    public static final ASN1ObjectIdentifier it_suppLangTags

  RFC 4120: 1.3.6.1.5.5.7.4.16

### id_it_caCerts

    public static final ASN1ObjectIdentifier id_it_caCerts

  Update 16, RFC 4210 {id-it 17}

### id_it_rootCaKeyUpdate

    public static final ASN1ObjectIdentifier id_it_rootCaKeyUpdate

  Update 16, RFC 4210 GenRep: {id-it 18}, RootCaKeyUpdateContent

### id_it_certReqTemplate

    public static final ASN1ObjectIdentifier id_it_certReqTemplate

  Update 16, RFC 4210 {id-it 19}

### id_it_rootCaCert

    public static final ASN1ObjectIdentifier id_it_rootCaCert

  Update 16, RFC 4210 GenMsg: {id-it 20}, RootCaCertValue

### id_it_certProfile

    public static final ASN1ObjectIdentifier id_it_certProfile

  Update-16 to RFC 4210 id-it-certProfile OBJECT IDENTIFIER ::= {id-it 21}

### id_it_crlStatusList

    public static final ASN1ObjectIdentifier id_it_crlStatusList

### id_it_crls

    public static final ASN1ObjectIdentifier id_it_crls

### id_pkip

    public static final ASN1ObjectIdentifier id_pkip

  RFC 4211: it-pkip: PKIX.5 = 1.3.6.1.5.5.7.5

### id_regCtrl

    public static final ASN1ObjectIdentifier id_regCtrl

  RFC 4211: it-regCtrl: 1.3.6.1.5.5.7.5.1

### id_regInfo

    public static final ASN1ObjectIdentifier id_regInfo

  RFC 4211: it-regInfo: 1.3.6.1.5.5.7.5.2

### regCtrl_regToken

    public static final ASN1ObjectIdentifier regCtrl_regToken

  1.3.6.1.5.5.7.5.1.1

### regCtrl_authenticator

    public static final ASN1ObjectIdentifier regCtrl_authenticator

  1.3.6.1.5.5.7.5.1.2

### regCtrl_pkiPublicationInfo

    public static final ASN1ObjectIdentifier regCtrl_pkiPublicationInfo

  1.3.6.1.5.5.7.5.1.3

### regCtrl_pkiArchiveOptions

    public static final ASN1ObjectIdentifier regCtrl_pkiArchiveOptions

  1.3.6.1.5.5.7.5.1.4

### regCtrl_oldCertID

    public static final ASN1ObjectIdentifier regCtrl_oldCertID

  1.3.6.1.5.5.7.5.1.5

### regCtrl_protocolEncrKey

    public static final ASN1ObjectIdentifier regCtrl_protocolEncrKey

  1.3.6.1.5.5.7.5.1.6

### regCtrl_altCertTemplate

    public static final ASN1ObjectIdentifier regCtrl_altCertTemplate

  From RFC4210: id-regCtrl-altCertTemplate OBJECT IDENTIFIER ::= {id-regCtrl 7}; 1.3.6.1.5.5.7.1.7

### id_regCtrl_algId

    public static final ASN1ObjectIdentifier id_regCtrl_algId

  id-regCtrl-algId OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) pkip(5) regCtrl(1) 11 }

### id_regCtrl_rsaKeyLen

    public static final ASN1ObjectIdentifier id_regCtrl_rsaKeyLen

  id-regCtrl-rsaKeyLen OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) pkip(5) regCtrl(1) 12 }

### regInfo_utf8Pairs

    public static final ASN1ObjectIdentifier regInfo_utf8Pairs

  RFC 4211: it-regInfo-utf8Pairs: 1.3.6.1.5.5.7.5.2.1

### regInfo_certReq

    public static final ASN1ObjectIdentifier regInfo_certReq

  RFC 4211: it-regInfo-certReq: 1.3.6.1.5.5.7.5.2.1

### ct_encKeyWithID

    public static final ASN1ObjectIdentifier ct_encKeyWithID

  1.2.840.113549.1.9.16.1.21

  id-ct OBJECT IDENTIFIER ::= { id-smime 1 } -- content types

  id-ct-encKeyWithID OBJECT IDENTIFIER ::= {id-ct 21}

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD